Bug 83086 - auto margins on flexbox should allocate space in the flex direction
Summary: auto margins on flexbox should allocate space in the flex direction
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Chang
URL:
Keywords:
Depends on:
Blocks: 62048
  Show dependency treegraph
 
Reported: 2012-04-03 15:58 PDT by Tony Chang
Modified: 2012-05-23 14:05 PDT (History)
3 users (show)

See Also:


Attachments
Patch (21.73 KB, patch)
2012-05-18 16:07 PDT, Tony Chang
no flags Details | Formatted Diff | Diff
Patch for landing (22.50 KB, patch)
2012-05-21 15:43 PDT, Tony Chang
no flags Details | Formatted Diff | Diff
Patch (28.49 KB, patch)
2012-05-23 14:03 PDT, Tony Chang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2012-04-03 15:58:52 PDT
See the section here:
http://dev.w3.org/csswg/css3-flexbox/#auto-margins

We're currently treating auto margins as 0.
Comment 1 Tony Chang 2012-05-18 16:07:16 PDT
Created attachment 142812 [details]
Patch
Comment 2 Ojan Vafai 2012-05-21 15:34:08 PDT
Comment on attachment 142812 [details]
Patch

Code looks good. There's a comment at the end of RenderFlexibleBox::computeMainAxisPreferredSizes that you need to update to be a bit more accurate.
Comment 3 Tony Chang 2012-05-21 15:43:23 PDT
Created attachment 143116 [details]
Patch for landing
Comment 4 WebKit Review Bot 2012-05-21 21:07:56 PDT
Comment on attachment 143116 [details]
Patch for landing

Clearing flags on attachment: 143116

Committed r117897: <http://trac.webkit.org/changeset/117897>
Comment 5 WebKit Review Bot 2012-05-21 21:08:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Tony Chang 2012-05-23 14:03:50 PDT
Reopening to attach new patch.
Comment 7 Tony Chang 2012-05-23 14:03:52 PDT
Created attachment 143645 [details]
Patch
Comment 8 Tony Chang 2012-05-23 14:05:51 PDT
Comment on attachment 143645 [details]
Patch

Wrong bug.